
import QtQuick 2.0
import Sailfish.Silica 1.0
import QtQuick.XmlListModel 2.0
import "JavaScriptHelper.js" as AltMyScript


Page
{
    id:page

    XmlListModel {
        id: accomodations
        namespaceDeclarations: "declare namespace matko='https://aspicore-asp.net/matkoschema/';"
        source: "http://www.visithelsinki.fi/misc/feeds/helsinki_tourism_poi.xml"
        query: "/rss/channel/item[contains(child::matko:type1,\"HOTELLI\")]"
      XmlRole {
            name: "title"
            query: "title/string()"
        }
      XmlRole {
            name: "description"
            query: "matko:type2/string()"
        }
      XmlRole {
            name: "accomodationsId"
            query: "matko:id/string()"
        }
}


        SilicaListView {
          anchors.fill: parent
          contentHeight: column.height + Theme.paddingLarge
          spacing: Theme.paddingLarge

          header: PageHeader {
                     title: "Accomodations"
                 }

          VerticalScrollDecorator {}

          model: accomodations

          delegate: BackgroundItem {
              id: delegate
              Column {
                  Label {
                      x: Theme.paddingLarge
                      text: model.title

                  }
                  Label{
                      x: Theme.paddingLarge
                      font.pixelSize: 18
                      text: model.description

                  }
                  Label{
                      id: idField
                      x: Theme.paddingLarge
                      text:model.accomodationsId
                      visible: false
                  }
              }
              onClicked:
              {
                  AltMyScript.sharedVariable = idField.text;
                  stack.push(Qt.resolvedUrl("AccomodationsDetails.qml"));
              }
          }
            }
    }

