import QtQuick 2.0
import Sailfish.Silica 1.0


Page
{
    id:page

    SilicaListView {
        anchors.fill: parent
        contentHeight: column.height + Theme.paddingLarge
        spacing: Theme.paddingLarge
                  VerticalScrollDecorator {}
        header: PageHeader {
                   title: "Events"
               }
        model: ListModel {
            ListElement {
                submenu: "Cultural"
                urlLink: "EventsCultural.qml" }
            ListElement {
                submenu: "Exhibitions"
                urlLink: "EventsExhibitions.qml" }
            ListElement {
                submenu: "Fairs"
                urlLink: "EventsFairs.qml" }
            ListElement {
                submenu: "Music"
                urlLink: "EventsMusic.qml" }
            ListElement {
                submenu: "Sports and Matches"
                urlLink: "EventsMatches.qml" }
            ListElement {
                submenu: "Other"
                urlLink: "EventsOther.qml" }

        }
        delegate: BackgroundItem {
            width: ListView.view.width
            height: Theme.itemSizeSmall
            Label { text: submenu }
            onClicked: pageStack.push(Qt.resolvedUrl(urlLink))
        }
    }

}

