
import QtQuick 2.0
import Sailfish.Silica 1.0
import QtQuick.XmlListModel 2.0
import "JavaScriptHelper.js" as AltMyScript



Page
{
    id:page
    XmlListModel {
        id: matches
        namespaceDeclarations: "declare namespace matko='https://aspicore-asp.net/matkoschema/';"
        source: "http://www.visithelsinki.fi/misc/feeds/kaikkitapahtumat_en.xml"
        query: "/rss/channel/item[compare(child::matko:id,\""+ AltMyScript.sharedVariable +"\")=0]"

      XmlRole {
            name: "title"
            query: "title/string()"
        }
      XmlRole {
            name: "description"
            query: "description/string()"
        }
      XmlRole {
            name: "webaddress"
            query: "link/string()"
        }
      XmlRole {
            name: "place"
            query: "matko:place/string()"
        }
      XmlRole {
            name: "startTime"
            query: "matko:starttime/string()"
        }
      XmlRole {
            name: "endTime"
            query: "matko:endtime/string()"
        }

      onStatusChanged: {
          if (status === XmlListModel.Ready) {
              var today = get(0)
              nameLabel.text = today.title
              descriptionLabel.text = today.description
              siteLabel.text = today.webaddress
              placeLabel.text = today.place
              startTimeLabel.text = AltMyScript.splitTime(today.startTime)
              endTimeLabel.text = AltMyScript.splitTime(today.endTime)
          }
      }
}

    SilicaFlickable{

        anchors.fill: parent
        contentHeight: column.height + Theme.paddingLarge

         VerticalScrollDecorator {}
         Column {
             id: column
             width: page.width
             PageHeader {
                 title: ""

             }

                 Label{
                     x: Theme.paddingLarge
                     color: Theme.secondaryHighlightColor
                     font.pixelSize: Theme.fontSizeExtraLarge
                     text:"Name: "
                 }
                 Label{
                     id:nameLabel
                     x: Theme.paddingLarge
                     color: Theme.secondaryHighlightColor
                     font.pixelSize: Theme.fontSizeExtraSmall
                 }

                Label{
                    x: Theme.paddingLarge
                    color: Theme.secondaryHighlightColor
                    font.pixelSize: Theme.fontSizeExtraLarge
                    text:"Description: "
                }
                TextArea {
                     id:descriptionLabel
                                   width: page.width
                                   focus: false
                                   readOnly: true
                                    x: Theme.paddingLarge
                                    font.pixelSize: Theme.fontSizeExtraSmall
                                    color: "white"
                              }



                Label{
                    x: Theme.paddingLarge
                    color: Theme.secondaryHighlightColor
                    font.pixelSize: Theme.fontSizeExtraLarge
                    text:"Site: "
                }
                Label{
                    id:siteLabel
                    x: Theme.paddingLarge
                    color: Theme.secondaryHighlightColor
                    font.pixelSize: Theme.fontSizeExtraSmall
                }

                Label{
                    x: Theme.paddingLarge
                    color: Theme.secondaryHighlightColor
                    font.pixelSize: Theme.fontSizeExtraLarge
                    text:"Location: "
                }
                Label{
                    id:placeLabel
                    x: Theme.paddingLarge
                    color: Theme.secondaryHighlightColor
                    font.pixelSize: Theme.fontSizeExtraSmall
                }


                Label{
                    x: Theme.paddingLarge
                    color: Theme.secondaryHighlightColor
                    font.pixelSize: Theme.fontSizeExtraLarge
                    text:"Start Date: "
                }
                Label{
                    id:startTimeLabel
                    x: Theme.paddingLarge
                    color: Theme.secondaryHighlightColor
                    font.pixelSize: Theme.fontSizeExtraSmall
                }

                Label{
                    x: Theme.paddingLarge
                    color: Theme.secondaryHighlightColor
                    font.pixelSize: Theme.fontSizeExtraLarge
                    text:"End Date: "
                }
                Label{
                    id:endTimeLabel
                    x: Theme.paddingLarge
                    color: Theme.secondaryHighlightColor
                    font.pixelSize: Theme.fontSizeExtraSmall
                }

         }
    }


}



