
import QtQuick 2.0
import Sailfish.Silica 1.0
import QtQuick.XmlListModel 2.0
import "JavaScriptHelper.js" as AltMyScript

Page
{
    id:page

    XmlListModel {
        id: blogs
        source: "http://feeds.feedburner.com/visithelsinkiblogen?format=xml"
        query: "/rss/channel/item"

      XmlRole {
            name: "title"
            query: "title/string()"
        }
      XmlRole {
            name: "link"
            query: "link/string()"
        }
      XmlRole {
            name: "pubDate"
            query: "pubDate/string()"
        }
      XmlRole {
            name: "description"
            query: "description/string()"
        }

}
          SilicaListView {
              anchors.fill: parent
              contentHeight: column.height + Theme.paddingLarge
              spacing: Theme.paddingLarge

          header: PageHeader {
                               title: "Blogs"
                           }
          VerticalScrollDecorator {}


         model: blogs
          delegate: BackgroundItem {
                     id: delegate

                     Column {

                             Label {
                             x: Theme.paddingLarge
                            // color: Theme.secondaryHighlightColor

                             text: model.title }

                             Label{
                             x: Theme.paddingLarge
                            // color: Theme.secondaryHighlightColor
                             font.pixelSize: 18
                             text: AltMyScript.splitDotString(model.description)

                             }

                             Label{
                                 x: Theme.paddingLarge
                                 //color: Theme.secondaryHighlightColor
                                 font.pixelSize: 18
                                 text: AltMyScript.splitTime(model.pubDate)
                                  }

                         Label{
                             id:linkLabel
                             x: Theme.paddingLarge
                            // color: Theme.secondaryHighlightColor
                             font.pixelSize: 18
                             text: model.link
                             visible:false
                         }

                     }

                     onClicked: {
                         Qt.openUrlExternally(linkLabel.text)
                     }
          }
                 }
      }


