import QtQuick 2.0
import Sailfish.Silica 1.0
import QtQuick.XmlListModel 2.0
import "JavaScriptHelper.js" as AltMyScript

Page
{
    id:page
    XmlListModel {
        id: museums
        source: "http://api.reittiopas.fi/hsl/prod/?request=lines&user=vladcristea01&pass=apipassword&format=xml&query=2052%201|Helsinki"
        query: "/response/node"

      XmlRole {
            name: "busNumber"
            query: "code_short/string()"
        }
      XmlRole {
            name: "lineStart"
            query: "line_start/string()"
        }
      XmlRole {
            name: "lineEnd"
            query: "line_end/string()"
        }
      XmlRole {
            name: "name"
            query: "name/string()"
        }
      XmlRole {
            name: "code"
            query: "code/string()"
        }

      XmlRole {
            name: "timetableUrl"
            query: "timetable_url/string()"
        }

      XmlRole {
            name: "lineStops"
            query: "line_stops/string()"
        }
      onStatusChanged: {

               if (status === XmlListModel.Ready) {
                   busesListModel.clear();
                   for(var index = 0; index < count;index++) {
                       var lineStops = get(index).lineStops;
                       if(searchField === "" ||lineStops.indexOf(searchField.text) !== -1){
                           var busNumber = get(index).busNumber;
                           var lineStart = get(index).lineStart;
                            var lineEnd = get(index).lineEnd;
                           var name = get(index).name;
                           var code = get(index).code;
                           var timetableUrl = get(index).timetableUrl;
                           busesListModel.append({"busNumber":busNumber,"lineStart":lineStart,"lineEnd":lineEnd,"name":name,"code":code,"timetableUrl":timetableUrl,"lineStops":lineStops});
                       }
                  }

               }
           }
}

      ListModel { id: busesListModel }
      SilicaListView {
          anchors.fill: parent
          spacing: Theme.paddingLarge
          header: PageHeader {
                     title: "Buses"
                 }
          Row{
              TextField{
                    id: searchField
                    width: 250
                    EnterKey.onClicked: {
                                    museums.reload();
                                }
              }
          }

          VerticalScrollDecorator {}
          model: busesListModel
          delegate: BackgroundItem {
                     id: delegate
                     height: 200
                     Column {
                         Label{
                             text: model.name
                         }
                         Row{
                            Column{ Label{
                                 color: Theme.secondaryHighlightColor
                                font.pixelSize: Theme.fontSizeExtraLarge
                                 text: "No. "
                             }}

                             Label{


                                 font.pixelSize: Theme.fontSizeExtraSmall
                                 text: model.busNumber
                             }

                         }

                         Row{
                             Label{

                                 color: Theme.secondaryHighlightColor
                                 font.pixelSize: Theme.fontSizeExtraLarge
                                 text: "From: "
                             }
                             Label{

                                 font.pixelSize: Theme.fontSizeExtraSmall
                                 text: model.lineStart
                             }

                         }
                         Row{
                             Label{

                                 color: Theme.secondaryHighlightColor
                                 font.pixelSize: Theme.fontSizeExtraLarge
                                 text: "To: "
                             }
                             Label{

                                 font.pixelSize: Theme.fontSizeExtraSmall
                                 text: model.lineEnd
                             }

                         }
                         Label{
                             id:codeLabe

                             text: model.code
                             visible:false
                         }
                         Label{
                             id:timetableLabel

                             text: model.timetableUrl
                             visible:false
                         }
                     }
                     onClicked: {
                         stack.push(Qt.resolvedUrl("TransportationBusRoutesDetails.qml"),{busId:codeLabe.text, timetableUrl:timetableLabel.text});
                     }
                 }
      }
    }
