
import QtQuick 2.0
import Sailfish.Silica 1.0
import QtQuick.XmlListModel 2.0
import "JavaScriptHelper.js" as AltMyScript



Page
{
    id:page
    XmlListModel {
        id: accomodations
        namespaceDeclarations: "declare namespace matko='https://aspicore-asp.net/matkoschema/';"
        source: "http://www.visithelsinki.fi/misc/feeds/helsinki_tourism_poi.xml"
        query: "/rss/channel/item[compare(child::matko:id,\""+ AltMyScript.sharedVariable +"\")=0]"

      XmlRole {
            name: "title"
            query: "title/string()"
        }
      XmlRole {
            name: "description"
            query: "description/string()"
        }
      XmlRole {
            name: "address"
            query: "matko:address/string()"
        }
      XmlRole {
            name: "phone"
            query: "matko:phone/string()"
        }
      XmlRole {
            name: "email"
            query: "matko:email/string()"
        }
      XmlRole {
            name: "webaddress"
            query: "link/string()"
        }
      XmlRole {
            name: "location"
            query: "matko:location/string()"
        }
      XmlRole {
            name: "additionalInfo"
            query: "matko:additionalinfo/string()"
        }
      XmlRole {
            name: "lon"
            query: "matko:longitude/string()"
              }
      XmlRole {
                  name: "lat"
                  query: "matko:latitude/string()"
              }

      onStatusChanged: {
          if (status === XmlListModel.Ready) {
              var today = get(0)
              nameLabel.text = today.title
              descriptionLabel.text = today.description
              addressLabel.text= today.address
              phoneLabel.text = today.phone
              emailAddress.text = today.email
              siteLabel.text = today.webaddress
              locationLabel.text = today.location
              additionalInfoLabel.text = today.additionalInfo
              lon.text = today.lon
              lat.text = today.lat
          }
      }
}

    SilicaFlickable{

        anchors.fill: parent
        contentHeight: column.height + Theme.paddingLarge

         VerticalScrollDecorator {}
         Column {
             id: column
             width: page.width
             PageHeader {
                 title: ""

             }

            Label{
                     x: Theme.paddingLarge
                     color: Theme.secondaryHighlightColor
                     font.pixelSize: Theme.fontSizeExtraLarge
                     text:"Name: "
                 }

                 Label{
                     id:nameLabel
                     x: Theme.paddingLarge
                     //color: Theme.secondaryHighlightColor
                     font.pixelSize: Theme.fontSizeExtraSmall
                 }

                 Label{
                     x: Theme.paddingLarge
                     color: Theme.secondaryHighlightColor
                     font.pixelSize: Theme.fontSizeExtraLarge
                     text:"Description: "
                 }
                 TextArea {
                      id:descriptionLabel
                                    width: page.width
                                    focus: false
                                    readOnly: true
                                     x: Theme.paddingLarge
                                     font.pixelSize: Theme.fontSizeExtraSmall
                                     color: "white"
                               }


              /*  TextArea{

                    x: Theme.paddingLarge
                    color: Theme.secondaryHighlightColor
                    font.pixelSize: Theme.fontSizeExtraLarge
                    readOnly: true
                    width: 300
                    height: text.height
                    text:"Description: "
                }
                Label{
                    id:descriptionLabel
                    x: Theme.paddingLarge
                    width: 300

                    //color: Theme.secondaryHighlightColor
                    font.pixelSize: Theme.fontSizeExtraSmall
                } */

                Label{
                    x: Theme.paddingLarge
                    color: Theme.secondaryHighlightColor
                    font.pixelSize: Theme.fontSizeExtraLarge
                    text:"Address: "
                }
                Label{
                    id:addressLabel
                    x: Theme.paddingLarge
                    //color: Theme.secondaryHighlightColor
                    font.pixelSize: Theme.fontSizeExtraSmall
                }

                Label{
                    x: Theme.paddingLarge
                    color: Theme.secondaryHighlightColor
                    font.pixelSize: Theme.fontSizeExtraLarge
                    text:"Phone: "
                }
                Label{
                    id:phoneLabel
                    x: Theme.paddingLarge
                    //color: Theme.secondaryHighlightColor
                    font.pixelSize: Theme.fontSizeExtraSmall
                }

                Label{
                    x: Theme.paddingLarge
                    color: Theme.secondaryHighlightColor
                    font.pixelSize: Theme.fontSizeExtraLarge
                    text:"Email: "
                }
                Label{
                    id:emailAddress
                    x: Theme.paddingLarge
                   // color: Theme.secondaryHighlightColor
                    font.pixelSize: Theme.fontSizeExtraSmall
                }

                Label{
                    x: Theme.paddingLarge
                    color: Theme.secondaryHighlightColor
                    font.pixelSize: Theme.fontSizeExtraLarge
                    text:"Site: "
                }
                Label{
                    id:siteLabel
                    x: Theme.paddingLarge
                    //color: Theme.secondaryHighlightColor
                    font.pixelSize: Theme.fontSizeExtraSmall
                }

                Label{
                    x: Theme.paddingLarge
                    color: Theme.secondaryHighlightColor
                    font.pixelSize: Theme.fontSizeExtraLarge
                    text:"Location: "
                }
                Label{
                    id:locationLabel
                    x: Theme.paddingLarge
                    //color: Theme.secondaryHighlightColor
                    font.pixelSize: Theme.fontSizeExtraSmall
                }

                Label{
                    x: Theme.paddingLarge
                    color: Theme.secondaryHighlightColor
                    font.pixelSize: Theme.fontSizeExtraLarge
                    text:"Additional Information: "
                }
                Label{
                    id:additionalInfoLabel
                    x: Theme.paddingLarge
                    //color: Theme.secondaryHighlightColor
                    font.pixelSize: Theme.fontSizeExtraSmall
                }
                Button{
                    id:buttonField
                    x: Theme.paddingLarge
                    text: "Map"
                    onClicked: {
                                stack.push(Qt.resolvedUrl("MapType.qml"),{p1:lat.text,p2:lon.text});
                                   }
                                }
                Label{
                    id:lon
                    visible: false
                                }
                Label{
                    id:lat
                   visible: false
                                }
            }

         }
    }



