
import QtQuick 2.0
import Sailfish.Silica 1.0
import QtQuick.XmlListModel 2.0

Page
{
    id:page
    XmlListModel {
        id: museums
        namespaceDeclarations: "declare namespace matko='https://aspicore-asp.net/matkoschema/';"
        source: "http://www.visithelsinki.fi/misc/feeds/helsinki_tourism_poi.xml"
        query: "/rss/channel/item[contains(child::matko:type1,\"MUSEO\")]"

      XmlRole {
            name: "title"
            query: "title/string()"
        }
}

      SilicaListView {
          anchors.fill: parent
          spacing: Theme.paddingLarge
          header: PageHeader {
                     title: "Museums"
                 }
          VerticalScrollDecorator {}
          model: museums

          delegate: ListItem {
              Row {
                  Column {
                      Label {
                          text: model.title
                      }
                  }
              }
          }
      }



    }



